Retrieve Task Fields

Retrieves all TaskFields defined for a specific Project within your Workspace. A TaskField is a custom field defined within your Workspace for a specific Project. You can define TaskFields for any integration purpose that is important to your business. Each TaskField has a data type as well as options in how it is handled. TaskFields can be edited for each Task inside this Project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The unique identifier of the Project to retrieve TaskFields

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.